> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Aggiorna segmento della trascrizione di destinazione del doppiaggio

PATCH https://api.elevenlabs.io/v1/dubbing/project/{project_id}/language/{language_id}/transcript/segment/{segment_id}
Content-Type: application/json

Solo Enterprise. Modifica la traduzione di un segmento per una lingua di destinazione. I campi omessi rimangono invariati; un valore null esplicito cancella il campo. Incrementa la `revision` della destinazione e la contrassegna come `stale` se era già stata completata. La trascrizione di origine e le altre lingue del progetto restano invariate, e l'audio non cambia finché non rigeneri la destinazione.

Reference: https://elevenlabs.io/docs/api-reference/dubbing/target-transcript/update-target-segment

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `project_id` (string, required) — Identificatore del progetto di doppiaggio.
- `language_id` (string, required) — Identificatore della lingua di destinazione.
- `segment_id` (string, required) — Identificatore del segmento da modificare.

### Body (application/json)

This endpoint expects a DubbingTargetSegmentUpdateRequest.

- `translation` (string, optional, nullable) — Nuovo testo tradotto, oppure null per contrassegnare il segmento per una nuova traduzione.

## Response

### 200

Risposta riuscita

- `segment` (DubbingTargetTranscriptSegment, required) — Il segmento di destinazione nel suo stato aggiornato.
- `revision` (integer, required) — La revisione della destinazione dopo questa modifica.

## Errors

### 422 Unprocessable Entity Error

Errore di convalida

- `detail` (list of ValidationError, optional)

## Types

### DubbingTargetTranscriptSegment

Un segmento di una trascrizione di destinazione: un segmento di origine con la relativa traduzione.

- `id` (string, required) — Identificatore stabile del segmento, dalla sorgente.
- `speaker_id` (string, required) — Identificatore dell'interlocutore del segmento.
- `start_s` (double, required) — Ora di inizio del segmento, in secondi.
- `end_s` (double, required) — Ora di fine del segmento, in secondi.
- `source_text` (string, required) — Il testo del segmento nella lingua sorgente.
- `translation` (string, optional, nullable) — Il testo tradotto, oppure null se non è ancora stato tradotto (richiede una traduzione).

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "translation": "Bienvenido a nuestra última demostración de producto."
}
```

**Response**

```json
{
  "segment": {
    "id": "0199a3f0-1c2d-7abc-8def-0123456789ab",
    "speaker_id": "default_speaker",
    "start_s": 0,
    "end_s": 2.5,
    "source_text": "Welcome to our product demo.",
    "translation": "Bienvenido a nuestra última demostración de producto."
  },
  "revision": 4
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/language/lang_1001kwkyxp0je6ktn4knsfrasx5s/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab"

payload = { "translation": "Bienvenido a nuestra última demostración de producto." }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/language/lang_1001kwkyxp0je6ktn4knsfrasx5s/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"translation":"Bienvenido a nuestra última demostración de producto."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/language/lang_1001kwkyxp0je6ktn4knsfrasx5s/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab"

	payload := strings.NewReader("{\n  \"translation\": \"Bienvenido a nuestra última demostración de producto.\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/language/lang_1001kwkyxp0je6ktn4knsfrasx5s/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"translation\": \"Bienvenido a nuestra última demostración de producto.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/language/lang_1001kwkyxp0je6ktn4knsfrasx5s/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab")
  .header("Content-Type", "application/json")
  .body("{\n  \"translation\": \"Bienvenido a nuestra última demostración de producto.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/language/lang_1001kwkyxp0je6ktn4knsfrasx5s/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab', [
  'body' => '{
  "translation": "Bienvenido a nuestra última demostración de producto."
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/language/lang_1001kwkyxp0je6ktn4knsfrasx5s/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"translation\": \"Bienvenido a nuestra última demostración de producto.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["translation": "Bienvenido a nuestra última demostración de producto."] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/language/lang_1001kwkyxp0je6ktn4knsfrasx5s/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```